%global install_loc    %{_datadir}/eclipse/dropins/gcov
%global qualifier      201107191600

Name:           eclipse-gcov
Version:        0.10.0
Release:        1%{?dist}
Summary:        GCov Integration (Incubation)

Group:          Development/Tools
License:        EPL
URL:            http://www.eclipse.org/linuxtools/projectPages/gcov
Source0:        http://download.eclipse.org/technology/linuxtools/%{version}-sources/linuxtools-gcov-parent-0.10.0-src.tar.bz2

BuildArch: noarch

BuildRequires: eclipse-pde >= 1:3.6.1
BuildRequires: eclipse-cdt >= 1:7.0.1
BuildRequires: eclipse-linuxprofilingframework >= 0.8.0-0.1
Requires: eclipse-platform >= 1:3.6.1
Requires: eclipse-cdt >= 1:7.0.1
Requires: eclipse-linuxprofilingframework >= 0.8.0-0.1

%description
Functionality to integrate GCov with the Eclipse workbench.

%prep
%setup -q -n linuxtools-gcov-parent-%{version}-src

%build
chmod -x org.eclipse.linuxtools.gcov/license.html
chmod -x org.eclipse.linuxtools.gcov/epl-v10.html
eclipse-pdebuild -f org.eclipse.linuxtools.gcov -d "cdt rse linuxprofilingframework birt gef emf dtp-connectivity" \
-a "-DjavacSource=1.6 -DjavacTarget=1.6 -DforceContextQualifier=%{qualifier}"

%install
install -d -m 755 %{buildroot}%{install_loc}

%{__unzip} -q -d %{buildroot}%{install_loc} \
     build/rpmBuild/org.eclipse.linuxtools.gcov.zip 

%files
%{install_loc}
%doc org.eclipse.linuxtools.gcov/license.html
%doc org.eclipse.linuxtools.gcov/epl-v10.html

%changelog
* Fri Apr 6 2012 Alexander Kurtakov <akurtako@redhat.com> 0.10.0-1
- Update to Linux Tools 0.10 release.

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-0.2.20110718gitc011a2c7a0
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jul 26 2011 Jeff Johnston <jjohnstn@redhat.com> 0.6.0-0.1.20110718gitc011a2c7a0
- First release of gcov (pre-0.6.0 release)
